Bug 607028 - [abrt] abrt-1.1.5-1.el6: PluginSettingsUI.py:26:__init__:AttributeError: PluginSettingsUI instance has no attribute 'dialog'
Summary: [abrt] abrt-1.1.5-1.el6: PluginSettingsUI.py:26:__init__:AttributeError: Plug...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8956354c
Keywords:
Depends On: 603745
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-23 01:28 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:52 UTC (History)
7 users (show)

Fixed In Version: abrt-1.1.13-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 05:28:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (688 bytes, text/plain)
2010-06-23 01:28 UTC, Jiri Moskovcak
no flags Details

Description Jiri Moskovcak 2010-06-23 01:28:36 UTC
abrt version: 1.1.7
architecture: x86_64
cmdline: /usr/bin/python /usr/share/abrt/CCMainWindow.py -v
component: abrt
executable: /usr/share/abrt/CCMainWindow.py
kernel: 2.6.33.5-112.fc13.x86_64
package: abrt-1.1.5-1.el6
reason: PluginSettingsUI.py:26:__init__:AttributeError: PluginSettingsUI instance has no attribute 'dialog'
release: Fedora release 13 (Goddard)
time: 1276093950
uid: 501

backtrace
-----
PluginSettingsUI.py:26:__init__:AttributeError: PluginSettingsUI instance has no attribute 'dialog'

Traceback (most recent call last):
  File "/usr/share/abrt/CReporterAssistant.py", line 184, in on_config_plugin_clicked
    ui = PluginSettingsUI(plugin, parent=parent)
  File "/usr/share/abrt/PluginSettingsUI.py", line 26, in __init__
    self.dialog.set_position(gtk.WIN_POS_CENTER_ON_PARENT)
AttributeError: PluginSettingsUI instance has no attribute 'dialog'

Local variables in innermost frame:
pluginfo: <ABRTPlugin.PluginInfo instance at 0x1a637e8>
self: <PluginSettingsUI.PluginSettingsUI instance at 0x1a63a28>
parent: <gtk.Dialog object at 0x1bce7d0 (GtkDialog at 0x1e3a080)>

Comment 1 Jiri Moskovcak 2010-06-23 01:28:38 UTC
Created attachment 426127 [details]
File: backtrace

Comment 2 Jiri Moskovcak 2010-06-25 19:08:32 UTC
Package: abrt-1.1.5-1.el6
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. 
2. 
3. 


Comment
-----
test comment

Comment 3 Jiri Moskovcak 2010-06-25 19:18:48 UTC
Fixed in git.

Comment 4 Fedora Update System 2010-08-11 11:17:16 UTC
abrt-1.1.13-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/abrt-1.1.13-1.fc14

Comment 5 Fedora Update System 2010-08-12 12:58:09 UTC
abrt-1.1.13-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/abrt-1.1.13-1.fc13

Comment 6 Fedora Update System 2010-08-12 19:52:25 UTC
abrt-1.1.13-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abrt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/abrt-1.1.13-1.fc14

Comment 7 Fedora Update System 2010-08-16 14:06:47 UTC
abrt-1.1.13-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/abrt-1.1.13-1.fc12

Comment 8 Fedora Update System 2010-08-17 05:27:00 UTC
abrt-1.1.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-08-20 13:31:23 UTC
abrt-1.1.13-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/abrt-1.1.13-2.fc14

Comment 10 Fedora Update System 2010-08-24 01:11:56 UTC
abrt-1.1.13-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-08-24 21:17:37 UTC
abrt-1.1.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.